﻿local NewGate = foundation.createMod();

NewGatePrefix = "NEW_GATE_V2"

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.8") < 0) then
    NewGate:logError("NewGate: game version anterior to 1.8")
    return
end
_scriptFolder = "scripts1.8"
NewGate:msgBox("NewGate: game version" .. foundation.getGameVersion())

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
NewGate:dofile(_scriptFolder .. "/common.lua")

--    Soft dependencies checks
_flagCottage = checkVersion(NewGate, "NewGate", "Cottage Industries", "b18417a7-7fd1-439c-b5d0-f2f1aceb62a6", "1.0.4")
_flagVegetableFarms = foundation.isModLoaded("c8b63172-5b6d-45eb-9fab-a40c8ecd9947")

_NoSandbox = difficultyLevel(NewGate, "NewGate")

NewGate:dofile(_scriptFolder .. "/monument.lua")
